Draft Facebinder/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Un oggetto Lega facce è derivato da una Funzione Part e ne eredita tutte le proprietà. Ha anche le seguenti proprietà aggiuntive:")
(Created page with "===Dati===")
Line 45: Line 45:
Un oggetto Lega facce è derivato da una [[Part_Feature/it|Funzione Part]] e ne eredita tutte le proprietà. Ha anche le seguenti proprietà aggiuntive:
Un oggetto Lega facce è derivato da una [[Part_Feature/it|Funzione Part]] e ne eredita tutte le proprietà. Ha anche le seguenti proprietà aggiuntive:


===Data===
<span id="Data"></span>
===Dati===


{{TitleProperty|Draft}}
{{TitleProperty|Draft}}

Revision as of 21:10, 17 February 2023

Lega facce

Posizione nel menu
Drafting → Lega facce
Ambiente
Draft, Arch
Avvio veloce
F F
Introdotto nella versione
0.14
Vedere anche
Nessuno

Descrizione

Il comando Lega facce crea un oggetto superficie dalle facce selezionate. Un Lega facce è parametrico, si aggiornerà se si modificano i suoi oggetti sorgente.

Può essere utilizzato per creare un'estrusione da una raccolta di facce. Questa estrusione può ad esempio rappresentare una finitura della parete nel design architettonico.

Facebinder creato da facce di pareti

Utilizzo

  1. Seleziona una o più facce.
  2. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Lega facce.
    • Selezionare l'opzione Drafting → Lega facce dal menu.
    • Usare la scorciatoia da tastiera: F poi F.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Lega facce è derivato da una Funzione Part e ne eredita tutte le proprietà. Ha anche le seguenti proprietà aggiuntive:

Dati

Draft

  • DatiArea (Area): (read-only) specifies the total area of the linked faces of the facebinder.
  • DatiExtrusion (Distance): specifies the extrusion thickness of the facebinder.
  • DatiFaces (LinkSubList): specifies the linked faces of the facebinder.
  • DatiOffset (Distance): specifies an offset distance to apply between the facebinder and the original faces, prior to extrusion.
  • DatiRemove Splitter (Bool): Specifies whether to remove splitter lines that divide co-planar faces of the facebinder.
  • DatiSew (Bool): Specifies whether to perform a topological sewing operation on the facebinder.

View

Draft

Vista

  • VistaPattern: specifica un modello di Campitura con cui riempire la faccia della forma. Questa proprietà funziona solo se VistaDisplay Mode è "Flat Lines".
  • VistaPattern Size: specifica la dimensione della Campitura.

Scripting

Lo strumento Lega facce può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

facebinder = make_facebinder(selectionset)
  • Crea un oggetto Facebinder dalla selectionset, che è una lista di SelectionObject come quelli restituiti da FreeCADGui.Selection.getSelectionEx().
    • selectionset può anche essere un PropertyLinkSubList.

Un PropertyLinkSubList è un elenco di tuple; ogni tupla contiene come primo elemento un oggetto e come secondo elemento un elenco (o tupla) di stringhe; queste stringhe indicano i nomi dei sotto-elementi (facce) di quell'oggetto.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

Lo spessore di Facebinder può essere aggiunto sovrascrivendo il suo attributo Extrusion; il valore è inserito in millimetri.

Il posizionamento di Facebinder può essere cambiato sovrascrivendo il suo attributo Placement, o sovrascrivendo singolarmente i suoi attributi Placement.Base e Placement.Rotation.

Esempio:

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

# Insert a solid box
box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 800
box.Height = 1000

# selection = Gui.Selection.getSelectionEx()
selection = [(box, ("Face1", "Face6"))]
facebinder = Draft.make_facebinder(selection)
facebinder.Extrusion = 50

doc.recompute()

facebinder.Placement.Base = App.Vector(1000, -1000, 100)
facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)

doc.recompute()